
## missingCodes:  Accessor and replacement methods
setGeneric("missingCodes", function(object, ...)
           standardGeneric("missingCodes"))

setMethod("missingCodes", "geneSet",
          function(object, marker, rename=!missing(marker), drop=TRUE)
          {
            if(missing(marker))
              object@missingCodes
            else
              {
                if(is.numeric(marker))
                  index <- marker
                else
                  index <- object@markerInfo$Name %in% marker
                table <- object@markerInfo[index,"TransTable"]
                if(rename)
                  {
                    retval <- object@missingCodes[ as.character(table) ]
                    names(retval) <- object@markerInfo[index, "Name"]
                  }
                else
                    retval <- object@missingCodes[ unique(as.character(table)) ]
                

                if(drop && length(retval)==1)
                  retval[[1]]
                else
                  retval
              }
          }
          )

setGeneric("missingCodes<-", function(object, value)
           standardGeneric("missingCodes<-"))

setReplaceMethod("missingCodes", "geneSet", 
	function(object, value)
                 {
		   # ??? Check that list has names?
    		   object@missingCodes <- value
                   return(object)
                 })
