\name{HWE.exact}
\alias{HWE.exact}
\title{Exact test for Hardy-Weinberg Equilibrium for a biallelic locus}
\description{
Exact test for Hardy-Weinberg Equilibrium for a biallelic locus.
}
\usage{
HWE.exact(object, 
          marker, 
          founderOnly=TRUE)

}
\arguments{
  \item{object}{a geneSet object.}
  \item{marker}{marker name for the biallelic locus.}
  \item{founderOnly}{Indicates if only founders are used to do the test.}
}
\value{
The function \code{HWE} returns a list with class \code{htest} containing the following elements:
 \item{statistic}{A 3-element vector records the genotype frequencies: \code{N11}, \code{N12}, \code{N22}.}
  \item{parameter}{A 2-element vector records the allele frequencies: \code{N1} and \code{N2}}
  \item{p.value}{p-value of the test.}
  \item{method}{Information indicates if \code{chisquare} method or \code{exact} method is used to do HWE test.}
  \item{data.name}{name of the data set}
  \item{observed}{a table lists allele levels, allele pairs, and allele codes}
}
\author{Gregory R. Warnes \email{gregory.r.warnes@pfizer.com} and Nitin Jain \email{nitin.jain@pfizer.com}}
\seealso{\code{\link{HWE.chisq}}}
\examples{
library(GeneticsBase)
data(CAMP)

HWE.exact(CAMP, marker="m654")

} 
\keyword{misc}
