\name{ped2geneSet}
\alias{ped2geneSet}
\title{translate a ped matrix to a geneSet object}
\description{
  Translate a ped matrix to a geneSet object.
}
\usage{
  ped2geneSet(ped,
              markerNames,
              columns=c("family", "pid", "father", "mother",
                        "sex", "affected"),
              quiet=FALSE,
              filename)
}
\arguments{
  \item{ped}{pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual.}
  \item{markerNames}{names of markers}
  \item{columns}{names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","
sex","affected") or equal to c("family","pid","father","mother","sex")}
  \item{quiet}{print intermediate results if \code{quiet=FALSE}.}
  \item{filename}{the name of the file recording the matrix \code{ped}. }
}
\value{
  \item{geneSetObject}{an object of geneSet class}
}
\author{Weiliang Qiu \email{stwxq@channing.harvard.edu}, Ross Lazarus \email{ross.lazarus@channing.harvard.edu}}
\keyword{misc}

